/* This file is part of guile-sql.
   Copyright (C) 2002 Sergey Poznyakoff

   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 3 of the License, or (at your
   option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program. If not, see <http://www.gnu.org/licenses/>. */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif
#include <guile-sql.h>
#include <app.h>

SCM
scm_makenum (unsigned long val)
#ifndef HAVE_SCM_LONG2NUM
{
	if (SCM_FIXABLE ((long) val))
		return scm_from_int (val);

#ifdef SCM_BIGDIG
	return scm_i_long2big (val);
#else /* SCM_BIGDIG */
	return scm_make_real ((double) val);
#endif /* SCM_BIGDIG */
}
#else
{
	return scm_long2num (val);
}
#endif

extern void
sql_init()
{
	gsql_conn_init();
#ifdef USE_SQL_MYSQL
	sql_register_iface(&mysql_iface);
#endif
#ifdef USE_SQL_PGSQL
	sql_register_iface(&pgsql_iface);
#endif
}


